# frozen_string_literal: true

#
# Copyright (c) 2020-present, Blue Marble Payroll, LLC
#
# This source code is licensed under the MIT license found in the
# LICENSE file in the root directory of this source tree.
#

module Burner
  module SideEffects
    # Describes a file that was generated by a Job.  If a Job emits a file, it should also add the
    # file details to the Payload#side_effects array using the Payload#add_side_effect method.
    class WrittenFile
      attr_reader :logical_filename,
                  :physical_filename,
                  :time_in_seconds

      def initialize(logical_filename:, physical_filename:, time_in_seconds:)
        @logical_filename  = logical_filename.to_s
        @physical_filename = physical_filename.to_s
        @time_in_seconds   = time_in_seconds.to_f

        freeze
      end
    end
  end
end
